Home Page Forums Raspberry Pi Shields New LTE/4G hat -> SIM missing error

This topic contains 2 replies, has 1 voice, and was last updated by  eosbandi 1 month ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #56981

    eosbandi
    Participant

    Hi !
    I just tried to install a LTE/4G hat with a EC25-E modem.
    With every know good SIM I got sim-missing error. (See output of modem manager below)
    Tried : rpi-update, resolder sim holder, different know good SIM’s from different providers…

    Please advise !

    Thanks,
    Andras

    /org/freedesktop/ModemManager1/Modem/0 (device id ‘54493f68fcb9a93249f55a490d7119a90ae914b6’)
    ————————-
    Hardware | manufacturer: ‘QUALCOMM INCORPORATED’
    | model: ‘QUECTEL Mobile Broadband Module’
    | revision: ‘EC25EFAR06A04M4G’
    | supported: ‘gsm-umts
    | lte
    | gsm-umts, lte’
    | current: ‘gsm-umts, lte’
    | equipment id: ‘866758048118000’
    ————————-
    System | device: ‘/sys/devices/platform/soc/3f980000.usb/usb1/1-1/1-1.2’
    | drivers: ‘qmi_wwan, option1’
    | plugin: ‘Generic’
    | primary port: ‘cdc-wdm0’
    | ports: ‘ttyUSB0 (qcdm), ttyUSB2 (at), ttyUSB3 (at), wwan0 (net), cdc-wdm0 (qmi)’
    ————————-
    Numbers | own : ‘unknown’
    ————————-
    Status | lock: ‘unknown’
    | unlock retries: ‘unknown’
    | state: ‘failed’
    | failed reason: ‘sim-missing’
    | power state: ‘unknown’
    | access tech: ‘unknown’
    | signal quality: ‘0’ (cached)
    ————————-
    Modes | supported: ‘allowed: 2g, 3g, 4g; preferred: none’
    | current: ‘allowed: any; preferred: none’
    ————————-
    Bands | supported: ‘unknown’
    | current: ‘unknown’
    ————————-
    IP | supported: ‘ipv4, ipv6, ipv4v6’
    ————————-
    SIM | path: ‘none’

    ————————-
    Bearers | paths: ‘none’

    #56983

    eosbandi
    Participant

    An update: I happen to have an older Sierrea Wireless 3G card, tried with the hat and it worked perfectly. So it seems that my EC25-E is DOA.
    How can I request an RMA or a replacement ?

    #57293

    eosbandi
    Participant

    OK, it seems I was dumb.
    Switched to Raspbian Buster and it works…..

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.